Bug 428739 - libgweather - A library for weather information
libgweather - A library for weather information
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-14 16:23 EST by Matthias Clasen
Modified: 2008-02-05 23:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-05 23:58:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
bnocera: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2008-01-14 16:23:47 EST
Description:
libgweather is a library to access weather information from online
services for numerous locations. It was previously part of the gnome-applets
package, but is now being moved out to avoid a circular dependency between
gnome-panel and gnome-applets.

Spec: http://people.redhat.com/mclasen/libgweather.spec
SRPM: http://people.redhat.com/mclasen/libgweather-2.21.2-1.fc9.src.rpm
Comment 1 Matthias Clasen 2008-01-14 17:59:46 EST
I've fixed some initial comments:

license field is GPL+ now, and tabs have been exterminated.
Comment 2 Bastien Nocera 2008-01-15 11:13:56 EST
> License:        GPL+
Should be GPLv2+ as per the COPYING file, no?

> - MUST: rpmlint must be run on every package. The output should be posted in
the review.

$ rpmlint
/home/hadess/Projects/packages/RPMS/x86_64/libgweather-2.21.2-1.fc8.x86_64.rpm
libgweather.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/gweather.schemas
$ rpmlint
/home/hadess/Projects/packages/RPMS/x86_64/libgweather-devel-2.21.2-1.fc8.x86_64.rpm
libgweather-devel.x86_64: W: no-documentation
$ rpmlint /home/hadess/Projects/packages/SRPMS/libgweather-2.21.2-1.fc8.src.rpm
$

No problems. The schemas warning is usual.

> - MUST: The package must be named according to the Package Naming Guidelines.

OK.

> - MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption on Package Naming Guidelines.

OK.

> - MUST: The package must meet the Packaging Guidelines.

OK.

> - MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines.

OK.

> - MUST: The License field in the package spec file must match the actual license.

See above.

> - MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.

Maybe the COPYING should be in the devel as well?

> - MUST: The spec file must be written in American English.

OK.

> - MUST: The spec file for the package MUST be legible. If the reviewer is
unable to read the spec file, it will be impossible to perform a review. Fedora
is not the place for entries into the Obfuscated Code Contest
(http://www.ioccc.org/).

OK.

> - MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

$ sha1sum libgweather-2.21.2.tar.bz2
480e7789d99e1ed872c757034954da08fdab828f  libgweather-2.21.2.tar.bz2
$ sha1sum ../SOURCES/libgweather-2.21.2.tar.bz2
480e7789d99e1ed872c757034954da08fdab828f  ../SOURCES/libgweather-2.21.2.tar.bz2

OK.

> - MUST: The package must successfully compile and build into binary rpms on at
least one supported architecture.

OK.

> - MUST: If the package does not successfully compile, build or work on an
architecture, <snip>

OK.

> - MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of Packaging Guidelines; inclusion of
those as BuildRequires is optional. Apply common sense.

OK.

> - MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

OK.

> - MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun. If the package has multiple subpackages with libraries, each
subpackage should also have a %post/%postun section that calls /sbin/ldconfig. 

OK.

>      - MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.

N/A.

>      - MUST: A package must own all directories that it creates. If it does
not create a directory that it uses, then it should require a package which does
create that directory. Refer to the Guidelines for examples.

OK.

>      - MUST: A package must not contain any duplicate files in the %files listing.

OK.

>      - MUST: Permissions on files must be set properly. Executables should be
set with executable permissions, for example. Every %files section must include
a %defattr(...) line.

OK.

>      - MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).

OK.

>      - MUST: Each package must consistently use macros, as described in the
macros section of Packaging Guidelines.

OK.

>      - MUST: The package must contain code, or permissable content. This is
described in detail in the code vs. content section of Packaging Guidelines.

OK.

>      - MUST: Large documentation files should go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity)

OK.

>      - MUST: If a package includes something as %doc, it must not affect the
runtime of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.

OK.

>      - MUST: Header files must be in a -devel package.

OK.

>      - MUST: Static libraries must be in a -static package.

N/A.

>      - MUST: Packages containing pkgconfig(.pc) files must 'Requires:
pkgconfig' (for directory ownership and usability).

XXX Not pkg-config, but pkgconfig.

>      - MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in a
-devel package.

OK.

>      - MUST: In the vast majority of cases, devel packages must require the
base package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 

OK.

>      - MUST: Packages must NOT contain any .la libtool archives, these should
be removed in the spec.

OK.

>      - MUST: Packages containing GUI applications must include a
%{name}.desktop file<snip>

N/A.

>      - MUST: Packages must not own files or directories already owned by other
packages.<snip>

N/A

>      - MUST: At the beginning of %install, each package MUST run rm -rf
%{buildroot} (or $RPM_BUILD_ROOT). See Prepping BuildRoot For %install for details.

OK

>      - MUST: All filenames in rpm packages must be valid UTF-8.

OK.

With the exception of the license and pkg-config problem, review is good.
Comment 3 Adel Gadllah 2008-01-15 11:28:01 EST
(In reply to comment #2)
> > License:        GPL+
> Should be GPLv2+ as per the COPYING file, no?
No, the comments in the source files count, not the COPYING file.
And it just says GPL without any version so its GPL+
Comment 4 Tom "spot" Callaway 2008-01-15 11:33:41 EST
All of the source files just say "GPL", except for one: gweather-gconf.c, which
says "GPLv2+". This means that the compiled work is GPLv2+, although, we really
should contact upstream and get them to clean up the inconsistency in their code
headers.
Comment 5 Matthias Clasen 2008-01-15 11:55:50 EST
Ok, I'll fix the pkgconfig requires and change the license back
Comment 6 Matthias Clasen 2008-01-15 11:57:30 EST
New Package CVS Request
=======================
Package Name: libgweather 
Short Description: A library for weather information
Owners: mclasen@redhat.com
Branches: 
InitialCC: 
Cvsextras Commits:
Comment 7 Kevin Fenzi 2008-01-15 21:48:02 EST
please use fedora account system names for the Owners field. 

cvs done.

Note You need to log in before you can comment on or make changes to this bug.